Bug 498610 - Problems rebuilding gdal source package
Problems rebuilding gdal source package
Status: CLOSED EOL
Product: Fedora EPEL
Classification: Fedora
Component: gdal (Show other bugs)
el5
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Balint Cristian
Fedora Extras Quality Assurance
ActualBug
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-01 09:27 EDT by Peter Hopfgartner
Modified: 2017-04-06 06:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-06 06:26:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stderr (181.87 KB, application/octet-stream)
2009-05-01 09:27 EDT, Peter Hopfgartner
no flags Details
stdout (1.08 MB, application/octet-stream)
2009-05-01 09:29 EDT, Peter Hopfgartner
no flags Details

  None (edit)
Description Peter Hopfgartner 2009-05-01 09:27:14 EDT
Created attachment 342086 [details]
stderr

Description of problem:


I'm not able to rebuild the source package on Red Hat 5 Server.

Version-Release number of selected component (if applicable):

OS: Red Hat 5 Server, x86_64 [Red Hat Enterprise Linux Server release 5.3 (Tikanga)]
EPEL 5
Gdal: gdal-1.4.2-4.el5.src.rpm

How reproducible:
Always.

Steps to Reproduce:
1. rpm -i gdal-1.4.2-4.el5.src.rpm
2. rpmbuild -bb rpmbuild/SPECS/gdal.spec
3.
  
Actual results:

The following errors are printed on console:
--
RPM build errors:

   File not found by glob: /home/rpmbuild/rpmbuild/tmp/gdal-1.4.2-4-root-rpmbui
ld/usr/bin/*.py?
--
Expected results:
no error message and binary rpm packages

Additional info:
The package builds well on CentOS 5.3.
Comment 1 Peter Hopfgartner 2009-05-01 09:29:13 EDT
Created attachment 342087 [details]
stdout
Comment 2 Rex Dieter 2009-05-01 09:41:58 EDT
Can you reproduce this failure in a clean buildroot, using something like mock?
Comment 3 Peter Hopfgartner 2009-05-01 11:22:36 EDT
Hmmm, I looks like I have to learn some new tricks. I will try to set up something like this. Is setting up a clean buildbot in a separate installation ok with Red Hat licencing or would this require a new license?

Regards,

Peter
Comment 4 Rex Dieter 2009-05-01 11:37:11 EDT
mock in epel uses centos repos by default (which is definitely ok).
Comment 5 Peter Hopfgartner 2009-05-04 03:07:16 EDT
Well, on my usual CentOS build box gdal compiles fine. It's a straight CentOS 5.3 + EPEL + PostgreSQL from CentOS testing box. This runs as 64 bit, too.
Comment 6 Fedora End Of Life 2017-04-06 06:26:15 EDT
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.